
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : init-maxima.scm
;; DESCRIPTION : Initialize maxima plugin
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (maxima-initialize)
  (import-from (texmacs texmacs tm-help) (texmacs plugin plugin-convert))
  (lazy-input-converter (maxima-input) maxima)
  (menu-extend texmacs-session-help-icons
    (if (and (in-maxima?) (url-exists? "$TM_MAXIMA_HOME/info/maxima_toc.html"))
	|
	((balloon (icon "tm_help.xpm") "Maxima manual")
	 (load-help-buffer "$TM_MAXIMA_HOME/info/maxima_toc.html")))
    (if (and (in-maxima?)
	     (url-exists? "$TM_MAXIMA_HOME/doc/html/maxima_toc.html"))
	|
	((balloon (icon "tm_help.xpm") "Maxima manual")
	 (load-help-buffer "$TM_MAXIMA_HOME/doc/html/maxima_toc.html")))))

(define (maxima-filter-in session s)
  (cond ((== s "") "0;")
	((== (car (reverse (string->list s))) #\;) s)
	((== (car (reverse (string->list s))) #\$) s)
	(else (string-append s ";"))))

(plugin-configure maxima
  (:require (url-exists-in-path? "maxima"))
  (:initialize (maxima-initialize))
  (:launch "tm_maxima")
  (:format "verbatim" "generic")
  (:filter-in "maxima-filter-in")
  (:session "Maxima"))
